Package com.xebialabs.xlrelease.domain.events

## Class TaskMovedEvent$

- java.lang.Object
- - scala.runtime.AbstractFunction6<Task,​java.lang.Object,​java.lang.Object,​java.lang.String,​java.lang.String,​java.lang.String,​TaskMovedEvent>
  - - com.xebialabs.xlrelease.domain.events.TaskMovedEvent$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function6<Task,​java.lang.Object,​java.lang.Object,​java.lang.String,​java.lang.String,​java.lang.String,​TaskMovedEvent>`

      public class TaskMovedEvent$
      extends scala.runtime.AbstractFunction6<Task,​java.lang.Object,​java.lang.Object,​java.lang.String,​java.lang.String,​java.lang.String,​TaskMovedEvent>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static TaskMovedEvent$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskMovedEvent$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TaskMovedEvent` | `apply​(Task movedTask, int originIndex, int targetIndex, java.lang.String originalTaskId, java.lang.String originContainerId, java.lang.String targetContainerId)` |
    `java.lang.String` | `toString()` |
    `scala.Option<scala.Tuple6<Task,​java.lang.Object,​java.lang.Object,​java.lang.String,​java.lang.String,​java.lang.String>>` | `unapply​(TaskMovedEvent x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction6

      `curried, tupled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Function6

      `apply`

- - ### Field Detail

    - #### MODULE$

          public static final TaskMovedEvent$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### TaskMovedEvent$

          public TaskMovedEvent$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function6<Task,​java.lang.Object,​java.lang.Object,​java.lang.String,​java.lang.String,​java.lang.String,​TaskMovedEvent>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction6<Task,​java.lang.Object,​java.lang.Object,​java.lang.String,​java.lang.String,​java.lang.String,​TaskMovedEvent>`

    - #### apply

          public TaskMovedEvent apply​(Task movedTask,
                                      int originIndex,
                                      int targetIndex,
                                      java.lang.String originalTaskId,
                                      java.lang.String originContainerId,
                                      java.lang.String targetContainerId)

    - #### unapply

          public scala.Option<scala.Tuple6<Task,​java.lang.Object,​java.lang.Object,​java.lang.String,​java.lang.String,​java.lang.String>> unapply​(TaskMovedEvent x$0)